> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token claim eligibility

> Check if a wallet address is eligible for a token claim



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/token_claims/{id}/eligibility
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/token_claims/{id}/eligibility:
    get:
      tags:
        - Token Claims
      summary: Get token claim eligibility
      description: Check if a wallet address is eligible for a token claim
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: walletAddress
          in: query
          required: true
          schema:
            type: string
        - name: id
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  eligible:
                    type: boolean
                  alreadyClaimed:
                    type: boolean
                  amount:
                    type: number
                  tokenClaimId:
                    type: string
                    format: uuid
                  claimContractAddress:
                    type: string
                    nullable: true
                  claimedAt:
                    type: string
                    nullable: true
                  stakes:
                    type: array
                    items:
                      type: object
                      properties:
                        stakeId:
                          type: string
                        amount:
                          type: string
                        duration:
                          type: number
                        startTime:
                          type: string
                        claimed:
                          type: string
                        claimable:
                          type: string
                      required:
                        - stakeId
                        - amount
                        - duration
                        - startTime
                        - claimed
                        - claimable
                required:
                  - eligible
                  - alreadyClaimed
                  - amount
                  - tokenClaimId
                  - claimContractAddress
                  - claimedAt
                  - stakes
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Too many requests
                required:
                  - message
                title: Too Many Request Response
                description: Schema for too many request response

````